># <b># Hunting</b>

A simple skill mod that gives you the ability to tracked down your prey (boars, deers, wolves, lox, hares, necks, chickens and bears), and increase the item yield according to your hunting skill level and preys level.

![](https://i.ibb.co/nrYYL09/ss.png)
![](https://i.ibb.co/Hn67zR5/ss1.png)
![](https://i.ibb.co/BKDVc2P/ss4.png)

<br/>

>## ## Installation (manual)

- extract `Hunting.dll` file to your `BepInEx\Plugin\` folder
- (NOTE: DELETE `config\blacks7ar.Hunting.cfg` and let the mod regenerate a new one.)

<br/>

>## ## Features

- Configurable item yield factor.
- Configurable detection radius for auto tracking prey.
- Configurable prefab names of creatures you want to track down and hunt.
- Configurable level requirement for auto detection.
- Configurable level requirement for displaying creatures health points in numerical value or percentage value.
- Configurable exp factor.
- You can only get Hunting exp when using bow, knife and spear kind of weapons.
- You can only get Hunting exp from creatures that are provided on the list when using said weapons above.
- Uses ServerSync and built-in ConfigWatcher.
- Configurable through config file or [Configuration Manager](https://valheim.thunderstore.io/package/Azumatt/Official_BepInEx_ConfigurationManager/)

<br/>

>## ## Changelog

<br/>

v1.3.0
- complete overhaul to support other mods that adds creatures, you can now specify the creature you want to track down and hunt.
- added toggle option to select numerical or percentage values of creatures health to display.

<details>
<summary><b>Changelog History</b> (<i>click to expand</i>)</summary>
<br/>

v1.2.7
- updated to the latest valheim build (217.28)
- updated serversync and dependencies
- updated manifests bepinex dependency string

v1.2.6
- fixed multiplayer version check issues

v1.2.5
- updated to the latest valheim build (217.22)

v1.2.4
- updated to the latest valheim build (217.14) hilders request.

v1.2.3
- as requested added support to Birds and OdinBear mods (birds and bears).

v1.2.2
- fixed loot drop bug, loots are now properly scaled by hunting skill level.
- added compatibility fix when using cllc's loot system.

v1.2.1
- updated to the latest valheim build (216.9)

v1.2.0
- fixed NRE's when a creature is killed by another creature using a bow
- added exp limit to some creatures (at skill level 10 you can no long get exp from necks, at skill level 25 you can no longer get exp from a boar and at skill level 50 you can no longer get exp from a deer)
- added support to monstrum mod creatrues (fox, bears, elk and prowler)
- added support to throwing knives and throwing axe (MaxAxe mod)
- added configurable skill exp loss on death
- updated to the latest bepinex and valheim builds

v1.1.9
- fixed compatibility issue with magicheim

v1.1.8
- splits creature list into 2 categories Tier1 (necks, deers, boars, odinshares, chickens) and Tier2 (wolf, lox, hares and teddybears).

v1.1.7
- added compatibility fixed with cllc, hp numerical values will now properly updates.

v1.1.6
- fixed an NRE when you die while fighting a monster.
- updated to latest bepinex for valheim.

v1.1.5
- fixed and updated for the current valheim version (214.2)
- added majestic chickens and teddy bears by cookie milk to the prey category
- added a new hunter skill called hunters vision which displays the current and max hp of monsters besides their names if you meet the level requirement which is configurable

v1.1.1
- added toggle option to enable disable exp gain notification.

v1.1.0
- reworked tracking feature and hopefully it won't cause anymore fps drops.
- fixed severe fps drops.

v1.0.9
- removed tracking feature for now, seems it still making fps drop severely. need to rework it again

v1.0.8
- completely rewritten from scratch, rework the auto detection and auto pinning of preys.
- fixed severe fps drops cause by the auto detection and auto pinning of preys. (hopefully)
- added mistland hares and odinshares into the prey category.

v1.0.2
- fixed fps drop while pinning preys on the map.
- added exp gain notification

v1.0.1
- added spear to the hunting weapon list

v1.0.0 first release

</details>